<?php

namespace App\Policies;

use Illuminate\Auth\Access\Response;
use App\Models\CheckPointTime;
use App\Models\User;

class CheckPointTimePolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->checkPermissionTo('view-any CheckPointTime');
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, CheckPointTime $checkpointtime): bool
    {
        return $user->checkPermissionTo('view CheckPointTime');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->checkPermissionTo('create CheckPointTime');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, CheckPointTime $checkpointtime): bool
    {
        return $user->checkPermissionTo('update CheckPointTime');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, CheckPointTime $checkpointtime): bool
    {
        return $user->checkPermissionTo('delete CheckPointTime');
    }

    /**
     * Determine whether the user can delete any models.
     */
    public function deleteAny(User $user): bool
    {
        return $user->checkPermissionTo('delete-any CheckPointTime');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, CheckPointTime $checkpointtime): bool
    {
        return $user->checkPermissionTo('restore CheckPointTime');
    }

    /**
     * Determine whether the user can restore any models.
     */
    public function restoreAny(User $user): bool
    {
        return $user->checkPermissionTo('restore-any CheckPointTime');
    }

    /**
     * Determine whether the user can replicate the model.
     */
    public function replicate(User $user, CheckPointTime $checkpointtime): bool
    {
        return $user->checkPermissionTo('replicate CheckPointTime');
    }

    /**
     * Determine whether the user can reorder the models.
     */
    public function reorder(User $user): bool
    {
        return $user->checkPermissionTo('reorder CheckPointTime');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, CheckPointTime $checkpointtime): bool
    {
        return $user->checkPermissionTo('force-delete CheckPointTime');
    }

    /**
     * Determine whether the user can permanently delete any models.
     */
    public function forceDeleteAny(User $user): bool
    {
        return $user->checkPermissionTo('force-delete-any CheckPointTime');
    }
}
